DASDFMT(8)

NAME
dasdfmt - formatting of DSAD (ECKD) disk drives.

SYNOPSIS
dasdfmt [-tvyV] [-b blockSize] [blockRange]
    diskSpec

DESCRIPTION
dasdfmt formats a DASD (ECKD) disk drive to prepare it for usage with Linux for S/390. WARNING: Incautious usage of dasdfmt can result in LOSS OF DATA.

OPTIONS

-t  Disables any modification of the disk drive. dasdfmt just prints out, what it would do.

-v  Increases verbosity.

-y  Start formatting without further user-confirmation.

-V  Print version number and exit.

-b blockSize
    Specify blocksize to be used. blocksize must be a positive integer and always be a power of two. Due due some limitations in the driver, it is strongly recommended to use a blockSize of 4096.

blockRange
    This parameter specifies the number of the first and last block to be formatted. If this parameter is omitted, formatting the whole disk is assumed. The blockRange can be specified in two different formats:

        -s startBlock -e endBlock
    or
        -r startBlock-endBlock

    If startBlock is omitted, block 0 is assumed. If endBlock is omitted, the last block of the disk is assumed.

diskSpec
    This parameter specified the device to be formatted. It also can be given in two variants:

        -f /dev/ddX
    or
        -n devnum

    The first form uses the commonly used UNIX device notation where X is a single lowercase letter. The second form uses simply the VM vdev number.

BUGS
None so far ;-)

AUTHOR
This man-page was written by Fritz Elfert <felfert@to.com>